Nuclom logoNuclom
Videos

Create a new clip from a video

POST
/videos/{id}/clips

Authorization

bearerAuth
headerAuthorizationBearer <token>

Authentication token from login or API key

Path Parameters

id*string

Id ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid

Request Body

Create a new clip from a video data

application/json
  1. body
title*string
description?|null|null
startTime*number|
endTime*number|
momentId?|null|null
momentType?|null
transcriptExcerpt?|null|null
[key: string]?any

Response Body

Created successfully

curl -X POST 'https://nuclom.com/api/videos/497f6eca-6276-4993-bfeb-53cbbbba6f08/clips' \  -H 'Content-Type: application/json' \  -d '{  "title": "string",  "startTime": 0,  "endTime": 0}'
Empty